Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.soccer
Class SoccerObserver

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Watcher
              turtlekit.kernel.Observer
                  turtlekit.simulations.soccer.SoccerObserver

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class SoccerObserver

extends Observer

Observer for the playground initialization, and (in the future) it will be the refere

Version:
  1.2 6/12/1999
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary
`int` | `status`

Fields inherited from class turtlekit.kernel.Observer
`envHeight, envWidth, patchGrid`

Constructor Summary
`SoccerObserver(boolean b)`

Method Summary
`void` | `initTurtleTables()`
`void` | `setup()` override this method to make other initializations,not in constructor
`void` | `watch()` override this method to observe the state of the world using turtle tables or/and the patchGrid variable

Methods inherited from class turtlekit.kernel.Observer
`activate, getSimulationGroup`

Methods inherited from class madkit.kernel.Watcher
`addProbe, addProbe, end, getProbes, removeAllProbes, removeProbe, update`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    public int status

Constructor Detail

### SoccerObserver

    public SoccerObserver(boolean b)

Method Detail

### initTurtleTables

    public void initTurtleTables()

### setup

    public void setup()

  Description copied from class: `Observer`
  override this method to make other initializations,not in constructor

  Overrides:
    `setup` in class `Observer`

### watch

    public void watch()

  Description copied from class: `Observer`
  override this method to observe the state of the world using turtle tables or/and the patchGrid variable

  Overrides:
    `watch` in class `Observer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.